#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 24. Graphical Environments

- Prev

  Xwayland-22.1.0

- Next

  Xorg Drivers

- Up
- Home

# Xorg-Server-21.1.3

## Introduction to Xorg Server

The Xorg Server is the core of the X Window system.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://www.x.org/pub/individual/xserver/xorg-server-21.1.3.tar.xz

- Download (FTP): ftp://ftp.x.org/pub/individual/xserver/xorg-server-21.1.3.tar.xz

- Download MD5 sum: 66687cf9d5cd1fdaa9bf78fc2a154437

- Download size: 4.7 MB

- Estimated disk space required: 175 MB (with tests)

- Estimated build time: 0.3 SBU (using parallelism=4; with tests)

### Xorg Server Dependencies

#### Required

libxcvt-0.1.1, Pixman-0.40.0, Xorg Fonts (only font-util), and at runtime: xkeyboard-config-2.35.1

#### Recommended

libepoxy-1.5.9 (needed for glamor), libtirpc-1.3.2, and Systemd-250

#### Optional

acpid-2.0.33 (runtime), Doxygen-1.9.3 (to build API documentation), fop-2.7 (to build documentation), Nettle-3.7.3, libgcrypt-1.10.0, xcb-util-keysyms-0.4.0, xcb-util-image-0.4.0, xcb-util-renderutil-0.3.9, xcb-util-wm-0.4.1 (all four to build Xephyr), xmlto-0.0.28 (to build documentation), libunwind, rendercheck (for tests), and xorg-sgml-doctools (to build documentation)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/Xorg7Server

## Installation of Xorg Server

Install the server by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=$XORG_PREFIX \
          -Dsuid_wrapper=true   \
          -Dxkb_output_dir=/var/lib/xkb &&
    ninja

To test the results, issue: ninja test. You will need to run ldconfig as the `root` user first or some tests may fail.

Now as the `root` user:

    ninja install &&
    mkdir -pv /etc/X11/xorg.conf.d

## Command Explanations

`-Dsuid_wrapper=true`: Builds the suid-root wrapper for legacy driver support on rootless xserver systems.

`-Dsystemd_logind=false`: This switch disables systemd-logind integration, allowing Xorg Server to work without having the systemd PAM module configured.

`-Dxephyr=true`: This option allows building Xephyr if its dependencies are met.

## Contents

Installed Programs: gtf, X, Xnest, Xorg, Xvfb, and optionally Xephyr
Installed Libraries: several under $XORG_PREFIX/lib/xorg/modules/ including the `modesetting_drv.so` driver
Installed Directories: /etc/X11/xorg.conf.d, $XORG_PREFIX/include/xorg, $XORG_PREFIX/lib/xorg, and $XORG_PREFIX/share/X11/xorg.conf.d

### Short Descriptions

gtf | calculates VESA GTF mode lines
X | is a symbolic link to Xorg
Xephyr | is a nested X server which supports modern X extensions
Xnest | is a nested X server
Xorg | is the X11R7 X Server
Xvfb | is the virtual framebuffer X server for X Version 11
`modesetting_drv.so` | provides a video driver for machines using Kernel Mode Setting (KMS). This will use glamor if that has been enabled and the hardware offers acceleration

Last updated on

- Prev

  Xwayland-22.1.0

- Next

  Xorg Drivers

- Up
- Home